class Range

  # A thing really should know itself.
  # This simply returns _self_.
  def to_r
    self
  end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCRange < Test::Unit::TestCase

    def test_to_r
      a = (0..10)
      assert_equal( a, a.to_r )
    end

  end

=end
